#include <iostream>
#include <pthread.h>
#include <BarnesHutTree.hpp>
#include <ContinuousPthreadSimulation.hpp>

using namespace nbody;
using namespace std;

int main(int argc, char* argv[]) {
	if (argc < 2) {
		cerr << "need input file parameter" << endl;
		return -1;
	}
	ContinuousPthreadSimulation simulation;

	simulation.initialize(string(argv[1]));
	simulation.run();
	simulation.cleanup();
	/*
	PthreadSimulation simulation;

	simulation.initialize(string(argv[1]));
	for (int i = 0; i < 1; i++) {
		simulation.runStep();
	}
	simulation.cleanup();
	*/
	return 0;
}
